aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNicolas Dechesne <nicolas.dechesne@linaro.org>2019-02-22 18:29:46 +0100
committerKhem Raj <raj.khem@gmail.com>2019-02-22 18:14:53 -0800
commit987d28c27e70ba12edf2b99745c13e7525206f4a (patch)
treef23c834237ee0c8cfbe04af6c074de7534db37ea
parentbef21ed9aa0b0ad939eb98f01da905eee3c5ab9e (diff)
downloadmeta-openembedded-contrib-987d28c27e70ba12edf2b99745c13e7525206f4a.tar.gz
meta-openembedded-contrib-987d28c27e70ba12edf2b99745c13e7525206f4a.tar.bz2
meta-openembedded-contrib-987d28c27e70ba12edf2b99745c13e7525206f4a.zip
meta-oe: fixup LAYERDEPENDS to include meta-python
meta-oe depends on meta-python, for mongodb recipe, since 5cf9a144ad16 (mongodb: Upgrade to 4.0.1 release) Trying to run the yocto-check-layer script fails with: ERROR: Nothing PROVIDES 'python-cheetah-native' (but /work/yocto/meta-openembedded/meta-oe/recipes-dbs/mongodb/mongodb_git.bb DEPENDS on or otherwise requires it). Close matches: python3-git-native python-nose-native python-native ERROR: Required build target 'meta-world-pkgdata' has no buildable providers. Missing or unbuildable dependency chain was: ['meta-world-pkgdata', 'mongodb', 'python-cheetah-native'] Signed-off-by: Nicolas Dechesne <nicolas.dechesne@linaro.org> Signed-off-by: Khem Raj <raj.khem@gmail.com>
-rw-r--r--meta-oe/conf/layer.conf1
1 files changed, 1 insertions, 0 deletions
diff --git a/meta-oe/conf/layer.conf b/meta-oe/conf/layer.conf
index 23c10ce339..8cedcf0d0b 100644
--- a/meta-oe/conf/layer.conf
+++ b/meta-oe/conf/layer.conf
@@ -28,6 +28,7 @@ BBFILE_PRIORITY_openembedded-layer = "6"
LAYERVERSION_openembedded-layer = "1"
LAYERDEPENDS_openembedded-layer = "core"
+LAYERDEPENDS_openembedded-layer = "meta-python"
LAYERSERIES_COMPAT_openembedded-layer = "thud"